BUG: IPHelper APIs do not work correctly after installing Internet Explorer 5.00 on Windows 98

This article has been archived. It is offered "as is" and will no longer be updated.
Symptoms
After you install Internet Explorer 5.00 (5.00.2314.1003) on a Windows 98 computer, the IPHelper API may fail with error 50 (ERROR_NOT_SUPPORTED) or 1003 (ERROR_CAN_NOT_COMPLETE).

The following APIs in the IPHelper API set may return the error 50 (ERROR_NOT_SUPPORTED) message:
  • GetAdaptersInfo
  • GetInterfaceInfo
  • GetNetworkParams
  • IPReleaseAddress
  • IPRenewAddress
The GetBestInterface API may return the error 1003 (ERROR_CAN_NOT_COMPLETE) message.

Applying later versions of Internet Explorer (5.01, 5.01/SP1, and 5.5) on top of version 5.00 does not correct the problem.
Cause
The installation of Internet Explorer 5.00 replaces Iphlpapi.dll, overwriting the original version 5.00.1717.2 with version 5.00.1952.1.
Resolution
If you identify Iphlpapi.dll version 5.00.1952.1 on your computer, perform the following steps to correct the problem:
  1. From the Start menu, point to Settings, click Control Panel, and then double-click Add/Remove Programs.
  2. Click Microsoft Internet Explorer 5 and Internet Tools and then click Add/Remove to remove it and restore the original Internet Explorer 4 settings.
  3. Restart the computers.
  4. Apply Internet Explorer 5.01, Internet Explorer 5.01 Service Pack 1, or Internet Explorer 5.5.
Status
Microsoft has confirmed that this is a bug in the Microsoft products that are listed in the "Applies to" section.
Properties

Article ID: 234573 - Last Review: 01/07/2015 10:53:49 - Revision: 3.0

  • kbnosurvey kbarchive kbdswnet2003swept kbbug kbnetwork kbpending KB234573
Feedback